• Welcome to The Network People Support Forums. Please login or sign up.

Toaster 4.10 apache install error

Started by bradtwurst, April 03, 2006, 12:25:36 AM

Previous topic - Next topic

bradtwurst

Hello all,

I am a newbie to the toaster project.  Looked like a great way to take away some of the pain of installing qmail and all.

On a FreeBSD 6.0 box, I am getting the following error when installing apache via the toaster script.

------------------------------
aspen# toaster_setup.pl -s apache
install_apache2: building on FreeBSD

install_apache2: trying port install from /usr/ports/www/apache20
ports_check_age: Ports file is current (enough).
port_install: apache20             installed as (apache-2.0.55_4).
ports_check_age: Ports file is current (enough).
port_install: p5-libwww            installed as (p5-libwww-5.805).
ports_check_age: Ports file is current (enough).
port_install: cronolog             installed as (cronolog-1.6.2).
ports_check_age: Ports file is current (enough).
port_install: bison                installed as (bison-1.75_2,1).
ports_check_age: Ports file is current (enough).
port_install: gd                   installed as (gdbm-1.8.3_2).
ports_check_age: Ports file is current (enough).
port_install: php4                 installed as (php4-4.4.2_1).
install_ssl_certs: preparing to set up SSL certs for Apache.
install_ssl_certs: detected apache config dir apache2.
install_ssl_certs: installing certificates into /usr/local/etc/apache2/ssl.crt.
install_ssl_certs: installing keys into /usr/local/etc/apache2/ssl.key.
install_ssl_certs: /usr/local/etc/apache2/ssl.crt/server.crt is already installed!
apache_conf_patch: applying toaster patches to httpd.conf
apache_conf_patch: httpd.conf is at apache2
apache2 doesn't exist!
at lib/Mail/Toaster/Setup.pm line 99

aspen#
----------------------------

Any help is appreciated.  Let me know if you need more information.

Thanks,
James

casey

Im getting the same error as well. Anyone?

casey

I don't know if this helps you, but I made an edit to:

/Mail-Toaster-4.10/lib/Mail/Toaster/Apache.pm on line 1111

$apacheconf = $self->conf_get_dir($conf) unless (-d $apacheconf);

and i changed it to:

$apacheconf = "/usr/local/etc/apache22";

In your case I believe it's just 2.

Now this doesnt actually successfully patch the httpd.conf file, however it will output a "httpd.conf.rej" showing you what it was unable to patch.

In my case the only things I see it trying to add to my httpd.conf are the lines below:

+ Alias /squirrelmail/ "/usr/local/www/squirrelmail/"
+ Alias /isoqlog/images/ "/usr/local/share/isoqlog/htmltemp/images/"
+ Alias /phpMyAdmin/ "/usr/local/www/phpMyAdmin/"

I gave me a successfully installed message letting me know it couldn't patch the httpd.conf file. If you want to look at the patch files checkout the contrib folder that comes with the mail-toaster tar.

bradtwurst

casey,

I was able to make the same change (like you said - using apache2 instead of 22) and I was able to get past the error.

I then applied all the changes in the patch file by hand.

Thanks again for your help,
James

jerm

i solved this by (don't remember my logicat the time)

finding that /usr/local/etc/apache  didn't exist

cd /usr/local/etc/
ln -s apache2 apache

i got

Patching file /usr/local/etc/apache/httpd.conf using Plan A...
Hunk #1 succeeded at 385 with fuzz 1 (offset -1 lines).
Hunk #2 succeeded at 402 (offset -1 lines).
Hunk #3 succeeded at 452 (offset -1 lines).
Hunk #4 succeeded at 608 (offset -1 lines).
Hunk #5 succeeded at 908 (offset -12 lines).
done
NOTICE: patch apply success!
Could not find your httpd.conf file!  FAILED!

but everything seems happy.